# Uses of Interface
org.apache.wiki.content.PageRenamer

Packages that use PageRenamer
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.content
Provides content management functionality for JSPWiki.

## Uses of PageRenamer in org.apache.wiki

Methods in org.apache.wiki that return PageRenamer
Modifier and Type
Method
Description
`PageRenamer`
WikiEngine.`getPageRenamer()`
Deprecated.
use `getManager( PageRenamer.class )` instead.

## Uses of PageRenamer in org.apache.wiki.content

Classes in org.apache.wiki.content that implement PageRenamer
Modifier and Type
Class
Description
`class`
`DefaultPageRenamer`
Provides page renaming functionality.